Sisimai::Fact::YAML(3pm)

NAME
Sisimai::Fact::YAML - Dumps decoded data object as a YAML format

SYNOPSIS
    use Sisimai::Fact;
    my $fact = Sisimai::Fact->rise('data' => 'Entire email text');
    for my $e ( @$fact ) {
        print $e->dump('yaml');
    }

DESCRIPTION
"Sisimai::Fact::YAML" dumps decoded data object as a YAML format. This class and method should be called only from the parent object "Sisimai::Fact".

CLASS METHODS

  "dump(Sisimai::Fact)"
dump() method returns "Sisimai::Fact" object as a YAML formatted string.

    my $mail = Sisimai::Mail->new('/var/mail/root');
    while( my $r = $mail->read ) {
        my $fact = Sisimai::Fact->rise('data' => $r);
        for my $e ( @$fact ) {
            print $e->dump('yaml');
        }
    }

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2020,2021,2024,2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.